package com.fjhx.account.service.account;

import com.fjhx.account.entity.account.po.AccountDeptRunningWater;
import com.fjhx.account.entity.account.vo.AccountRunningWaterVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountDeptRunningWaterVo;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterSelectDto;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterDto;


/**
 * <p>
 * 部门-资金流水关联表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
public interface AccountDeptRunningWaterService extends BaseService<AccountDeptRunningWater> {

    /**
     * 部门-资金流水关联表分页
     */
    Page<AccountRunningWaterVo> getPage(AccountDeptRunningWaterSelectDto dto);

    /**
     * 部门-资金流水关联表明细
     */
    AccountDeptRunningWaterVo detail(Long id);

    /**
     * 部门-资金流水关联表新增
     */
    void add(AccountDeptRunningWaterDto accountDeptRunningWaterDto);

    /**
     * 部门-资金流水关联表编辑
     */
    void edit(AccountDeptRunningWaterDto accountDeptRunningWaterDto);

    /**
     * 部门-资金流水关联表删除
     */
    void delete(Long id);

}
