package com.fjhx.mes.mapper.work;

import com.fjhx.mes.entity.work.po.WorkOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.work.vo.WorkOrderVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 工单 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-29
 */
public interface WorkOrderMapper extends BaseMapper<WorkOrder> {

    /**
     * 工单分页
     */
    Page<WorkOrderVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<WorkOrder> wrapper);

}
