package com.fjhx.purchase.entity.purchase.vo;

import com.fjhx.purchase.entity.purchase.po.PurchaseDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 申购单列表查询返回值实体
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
public class PurchaseDetailVo extends PurchaseDetail {

    /**
     * 质检合格数量
     */
    private BigDecimal qualifiedCount;
    /**
     * 质检不合格数量
     */
    private BigDecimal noQualifiedCount;

    /**
     * 发货数量
     */
    private BigDecimal deliverGoodsQuantity;

}
