package com.fjhx.sale.service.contract;

import com.fjhx.sale.entity.contract.po.Contract;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractVo;
import com.fjhx.sale.entity.contract.dto.ContractSelectDto;
import com.fjhx.sale.entity.contract.dto.ContractDto;


/**
 * <p>
 * 外销合同表 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface ContractService extends BaseService<Contract> {

    /**
     * 外销合同表分页
     */
    Page<ContractVo> getPage(ContractSelectDto dto);

    /**
     * 外销合同表明细
     */
    ContractVo detail(Long id);

    /**
     * 外销合同表新增
     */
    void add(ContractDto contractDto);

    /**
     * 外销合同表编辑
     */
    void edit(ContractDto contractDto);

    /**
     * 外销合同表删除
     */
    void delete(Long id);

}
