package com.fjhx.sale.entity.pack.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;

import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 装箱出货表
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("mapper/pack")
public class Pack extends BasePo {

    /**
     * 装箱单号
     */
    private String code;

    /**
     * 客户ID
     */
    private Long customerId;

    /**
     * 合同ID
     */
    private Long contractIds;

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 备注
     */
    private String remark;

    /**
     * 装箱明细列表
     */
    @TableField(exist = false)
    private List<PackDetail> packDetailList;

}
