package com.fjhx.wms.entity.stock.dto;

import com.fjhx.wms.entity.stock.po.StockWait;
import com.fjhx.wms.entity.stock.po.StockWaitDetails;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 待出入库新增编辑入参实体
 *
 * @author
 * @since 2023-03-22
 */
@Getter
@Setter
public class StockWaitDto extends StockWait {

    /**
     * 入库仓库id
     */
    private Long warehouseId;

    /**
     * 待入库明细列表
     */
    private List<StockWaitDetails> stockWaitDetailsList;

}
